• If you need help or want to discuss things, you now can also join us on our Discord Server!

Missing permission to use module db

Trsak

New Member
Hello,
so i have script using db module. On startup i get this error:
script AntiProxy is requesting missing permission to use module db, disabled

config.ini contains:
Code:
[Scripts.Privileges]
  AntiProxy = ["db"]
AntiProxy.js contains:
Code:
requiredModules: ['http', "db"]
So what am I missing?
 

TwentyFour

Well-Known Member
is awesome!
V.I.P.
Try removing the quoted text in your config.ini
It's not needed anymore as of 1.0.0, prolly a relic from a prior installation.
 

flyth

is reticulating splines
Staff member
Developer
Contributor
Permissions are granted by enabling the script on the web frontend and saving the settings. So whenever you add new requiredModules, you'll have to go through that process again.
 
Top